dudi.coa {ade4} | R Documentation

## Correspondence Analysis

### Description

performs a correspondence analysis.

### Usage

    dudi.coa(df, scannf = TRUE, nf = 2)

### Arguments

`df` | a data frame containing positive or null values
`scannf` | a logical value indicating whether the eigenvalues bar plot should be displayed
`nf` | if scannf FALSE, an integer indicating the number of kept axes

### Value

returns a list of class `coa` and `dudi` (see dudi) containing

`N` | the sum of all the values of the initial table

### Author(s)

Daniel Chessel
Anne-Béatrice Dufour anne-beatrice.dufour@univ-lyon1.fr

### References

Benzécri, J.P. and Coll. (1973) L'analyse des données. II L'analyse des correspondances, Bordas, Paris. 1–620.

Greenacre, M. J. (1984) Theory and applications of correspondence analysis, Academic Press, London.

### Examples

    data(rpjdl)
    chisq.test(rpjdl$fau)$statistic
    rpjdl.coa <- dudi.coa(rpjdl$fau, scannf = FALSE, nf = 4)
    sum(rpjdl.coa$eig)*rpjdl.coa$N # the same

    if(adegraphicsLoaded()) {
      g1 <- s.label(rpjdl.coa$co, plab.cex = 0.6, lab = rpjdl$frlab, plot = FALSE)
      g2 <- s.label(rpjdl.coa$li, plab.cex = 0.6, plot = FALSE)
      cbindADEg(g1, g2, plot = TRUE)
    } else {
      par(mfrow = c(1,2))
      s.label(rpjdl.coa$co, clab = 0.6, lab = rpjdl$frlab)
      s.label(rpjdl.coa$li, clab = 0.6)
      par(mfrow = c(1,1))
    }

    data(bordeaux)
    db <- dudi.coa(bordeaux, scan = FALSE)
    db
    score(db)

[Package ade4 version 1.7-13 Index]